{"revision":"c10276e953456835cdbb1f3a60d58ae1980be353","document":{"id":30348,"path":"it-operations-management/event-management/connector-domain-metadata.md","title":"Connector domain metadata","bundle":null,"doc_type":null,"release":"australia","body":"\n# Connector domain metadata\n\nOverride push connector default domain metadata values installed with Event Management with the values in the event HTTP request, including the URL, headers, request body \\(payload\\), and connector parameters. Override pull connector domain metadata values with connector parameters only.\n\n## Domain metadata parameters\n\n<table id=\"table_dyj_4jg_1yb\"><thead><tr><th>\n\nName\n\n</th><th>\n\nDescription\n\n</th><th>\n\nOverrides System Property\n\n</th></tr></thead><tbody><tr><td>\n\n**connectorDomainInfoTableName**\n\n</td><td>\n\nName of the table containing the records with the domain information.\n\n</td><td>\n\nevt\\_mgmt.connector\\_domain\\_info\\_table\\_name-   **Type**: string\n-   **Default value**: core\\_company\n\n</td></tr><tr><td>\n\n**connectorDomainInfoColumnName**\n\n</td><td>\n\nName of the column that has a value that should be matched with the domain identifier. For example, you might want to identify a record in the Domain Info table that has a matching value in the **company\\_name** field.\n\n</td><td>\n\nevt\\_mgmt.connector\\_domain\\_info\\_column\\_name-   **Type**: string\n-   **Default value**: name\n\n</td></tr><tr><td>\n\n**connectorDomainIdColumnName**\n\n</td><td>\n\nName of the table column that stores the domain ID.\n\n</td><td>\n\nevt\\_mgmt.connector\\_domain\\_id\\_column\\_name-   **Type**: string\n-   **Default value**: sys\\_domain\n\n</td></tr><tr><td>\n\n**connectorDomainPathColumnName**\n\n</td><td>\n\nName of the table column that stores the domain path.\n\n</td><td>\n\nevt\\_mgmt.connector\\_domain\\_path\\_column\\_name-   **Type**: string\n-   **Default value**: sys\\_domain\\_path\n\n</td></tr></tbody>\n</table>## Order of preference for accessing domain metadata\n\nYou must provide domain metadata to configure personalized push connector domains. The metadata in preferred accessing order are:\n\n1.  Push connector parameters\n2.  URL query parameters\n3.  HTTP headers\n4.  Request body \\(payload\\)\n5.  Default system properties\n\n## URL query parameters\n\nPush connectors have the following URL syntax:\n\n-   Instance Type: `https://<instance-name>.service-now.com/api/sn_em_connector/em/inbound_event?source=<connector-source>`\n-   MID Server type: `http://<MID_Server_IP>:<MID_Web_Server_Port>/api/mid/em/inbound_event?Transform=<connector-transform-script-name>`\n\nYou can include domain metadata as additional query parameters in the ServiceNow push connector webhook URL. For example, if the domain information source is the sys\\_user table, the URL could be `https://<instance-name>.service-now.com/api/sn_em_connector/em/inbound_event?source=<connector-source>&connectorDomainInfoTableName=sys_user`\n\n## Request headers\n\nAny of the domain metadata properties can be passed as part of HTTP request headers. Check the documentation from your third-party monitoring tool for information about how request headers are set.\n\n## Request body \\(payload\\)\n\nYou can reference domain metadata from the request body \\(JSON payload\\) by setting the metadata parameters as root-level keys in the payload. The following example shows how the **connectorDomainInfoTableName** and **connectorDomainInfoColumnName** parameters might be passed as part of the request body:\n\n-   **\\{**\n\n    “source”: “Azure Monitor”,\n\n    “host”: “127.0.0.1”,\n\n    “company”: “ServiceNow”,\n\n    “connectorDomainInfoTableName”: “sys\\_user”,\n\n    “connectorDomainInfoColumnName”: “first\\_name”\n\n    \\}\n\n\n**Note:** For information on connector parameters, see [Configure domain separation for push connector events](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/it-operations-management/event-management/personalize-domain-separation-push-connectors.md).\n\n**Parent Topic:**[Event Management reference](https://raw.githubusercontent.com/ServiceNow/ServiceNowDocs/australia/markdown/australia/it-operations-management/event-management/event-management-reference.md)\n\n"}}